-- This will load the config when loading Ved, or create it if it doesn't exist yet.

configs =
	{
	customvvvvvvdir =
		{
		default = "",
		["type"] = "string",
		comment = "do not include the directory called \"levels\" here, nor a trailing (back)slash"
		},
	language =
		{
		default = "English",
		["type"] = "string",
		},
	dialoganimations =
		{
		default = true,
		["type"] = "bool",
		},
	allowlimitbypass =
		{
		default = false,
		["type"] = "bool",
		},
	flipsubtoolscroll =
		{
		default = false,
		["type"] = "bool",
		},
	adjacentroomlines =
		{
		default = true,
		["type"] = "bool",
		},
	askbeforequit =
		{
		default = true,
		["type"] = "bool",
		},
	scale =
		{
		default = 1,
		["type"] = "number",
		},
	}

function saveconfig()
	--love.filesystem.write("settings.lua", 's.customvvvvvvdir = "' .. s.customvvvvvvdir .. '" -- do not include the directory called "levels" here, nor a trailing (back)slash\r\ns.language = "' .. s.language .. '"\r\ns.dialoganimations = ' .. boolstring(s.dialoganimations) .. '\ns.allowlimitbypass = ' .. boolstring(s.allowlimitbypass) .. '\ns.flipsubtoolscroll = ' .. boolstring(s.flipsubtoolscroll) .. '')
	writagearr = {}
	for k,v in pairs(configs) do
		table.insert(writagearr, "s." .. k .. " = " .. (v.type == "string" and "\"" .. s[k] .. "\"" or (v.type == "bool" and boolstring(s[k]) or s[k])) .. (v.comment ~= nil and " -- " .. v.comment or ""))
	end
	love.filesystem.write("settings.lua", table.concat(writagearr, "\r\n"))
end

function boolstring(thebool)
	if thebool == nil then
		return "nil"
	elseif thebool == true then
		return "true"
	else
		return "false"
	end
end

function loaddefaultsettings()
	s = {}
	for k,v in pairs(configs) do
		s[k] = v.default
	end
end

if love.filesystem.exists("settings.lua") then
	-- It exists
	
	loaddefaultsettings()
	
	love.filesystem.load("settings.lua")()
else
	-- It doesn't exist, create it.
	print("Making new config file")
	
	loaddefaultsettings()
	
	saveconfig()
end

-- There's a special case, namely the scaling.
s.pscale = s.scale